# TBS[12]: Linkerd

In this episode we are going to take a look at [Linkerd](https://linkerd.io/),
the "ultralight service mesh for Kubernetes and beyond'! We will see how
[Crossplane](https://github.com/crossplane/crossplane) can be used to configure
the service mesh in remote clusters, and will also dive into some of the newest
features of the project. Dan is joined by [Thomas
Rampelberg](https://twitter.com/grampelberg), who is an engineer at
[Buoyant](https://buoyant.io/), the creators of Linkerd.

Hosts: [@hasheddan](https://twitter.com/hasheddan) and [Thomas
Rampelberg](https://twitter.com/grampelberg)

Live Stream: https://youtu.be/o0-xkk6pCGM

## Time References

* [Start](https://youtu.be/o0-xkk6pCGM?t=25)
* [Thomas Introduction](https://youtu.be/o0-xkk6pCGM?t=127)
* [Install Crossplane](https://youtu.be/o0-xkk6pCGM?t=741)
* [Provision GKE Clusters Using Crossplane](https://youtu.be/o0-xkk6pCGM?t=827)
* [Linkerd Overview](https://youtu.be/o0-xkk6pCGM?t=988)
* [Linkerd Automatic Proxy Injection](https://youtu.be/o0-xkk6pCGM?t=1427)
* [Deploy Linkerd into remote GKE Clusters](https://youtu.be/o0-xkk6pCGM?t=1745)
* [Deploy Emoji App into Remote GKE Clusters](https://youtu.be/o0-xkk6pCGM?t=2304)
* [Chat About Linkerd Service Mirroring](https://youtu.be/o0-xkk6pCGM?t=2678)
* [Wrap Up](https://youtu.be/o0-xkk6pCGM?t=3158)

## Media References

* Crossplane Live Tweet Thread: <https://twitter.com/crossplane_io/status/1238133242248626177?s=20>
* Thomas's "Architecting for Multicluster Kubernetes" post: <https://linkerd.io/2020/02/17/architecting-for-multicluster-kubernetes/>
* Thomas's "Multicluster Kubernetes with Service Mirroring" post: <https://linkerd.io/2020/02/25/multicluster-kubernetes-with-service-mirroring/>