# TBS[20]: Packet, an Equinix Company

Dan is joined this week by Marques Johansson, Principal Engineer, Integrations at Packet. Marques has worked on a variety of open source projects, including Crossplane, and now helps Packet integrate with many of these projects in the cloud native community. Packet enables enterprises and developers to make infrastructure their competitive advantage with fully automated bare metal that can be deployed anywhere. In this episode, Dan and Marques will check out Packet's provider for Crossplane, as well as their new open source bare metal provisioning engine, Tinkerbell.

Host: [@hasheddan](https://twitter.com/hasheddan)
Guest: [@displague](https://twitter.com/displague)

Live Stream: <https://youtu.be/NJaBoET7evc>

## Time References

* 0:0:0 [Welcome](https://youtu.be/NJaBoET7evc?t=0)
* 0:02:26 [About: Marques](https://youtu.be/NJaBoET7evc?t=146)
* 0:04:03 [About: Packet](https://youtu.be/NJaBoET7evc?t=243)
  * [Packet Website](https://www.packet.com/)
  * [Equinix Acquisition](https://www.equinix.com/newsroom/press-releases/pr/123893/Equinix-Completes-Acquisition-of-Bare-Metal-Leader-Packet/)
  * [Equinix Cloud Exchange Fabric](https://www.equinix.com/interconnection-services/cloud-exchange-fabric/#eq-product-page)
* 0:16:17 [About: DevRel Integrations](https://youtu.be/NJaBoET7evc?t=977)
  * [Packet Blog: Kubernetes Our Way](https://www.packet.com/blog/kubernetes-our-own-way/)
  * [Packet Blog: Oops, we forgot to build a managed Kubernetes service](https://www.packet.com/blog/oops-we-forgot-to-build-a-managed-kubernetes-service/)
  * [Crossplane Provider for Packet](https://github.com/packethost/crossplane-provider-packet#crossplane-packet-provider)
  * [Alex Ellis: Awesome Baremetal Tools](https://github.com/alexellis/awesome-baremetal#self-hosted)
  * [The New Stack: Bare Metal in a Cloud Native World](https://thenewstack.io/bare-metal-in-a-cloud-native-world/)
  * 0:26:12 [Introducing Tinkerbell](https://youtu.be/NJaBoET7evc?t=1572)
* 0:27:33 [Crossplane Provider for Packet](https://youtu.be/NJaBoET7evc?t=1653)
* 0:35:24 [Tink is Running](https://youtu.be/NJaBoET7evc?t=2124)
  * [Tinkerbell Concepts](https://tinkerbell.org/concepts/)
* 0:37:24 [Install Kind, Crossplane, Packet Provider](https://youtu.be/NJaBoET7evc?t=2244)
* 0:46:17 [Provision Packet VirtualNetwork](https://youtu.be/NJaBoET7evc?t=2777)
* 0:58:01 [Tinkerbell Networking on Packet](https://youtu.be/NJaBoET7evc?t=3481)
* 0:59:31 [Tinkerbell Workflows and Images](https://youtu.be/NJaBoET7evc?t=3571)
* 1:03:48 [Tinkerbell Hardware Configuration](https://youtu.be/NJaBoET7evc?t=3828)
* 1:16:35 [Tinkerbell Workflow and Template Configuration](https://youtu.be/NJaBoET7evc?t=4595)


## Media References

* [Managed Resource Developer Guide](https://crossplane.io/docs/v0.12/contributing/services_developer_guide.html)
* [Crossplane Packet Provider](https://github.com/packethost/crossplane-provider-packet)

### Shout outs

* <https://twitter.com/GianArb>
* <https://twitter.com/mauilion>
* [TBS(11): ClusterAPI](https://www.youtube.com/watch?v=k7I57qTvfLQ)
* [TBS(18): Adding Cloud Pub/Sub Support to provider-gcp](https://youtu.be/rvQ8N0u3rkE)
* [OCI Artifacts](https://github.com/opencontainers/artifacts#oci-artifacts)

### Marques Links

* <https://twitter.com/displague>
* <https://github.com/displague>
* <https://www.packet.com/>

### Packet Open Source

* <https://tinkerbell.org/>
* <https://github.com/packethost/crossplane-provider-packet>

### Dan Links

* <https://twitter.com/hasheddan>
* <https://github.com/hasheddan>
* <https://crossplane.io>
* <https://upbound.io/>

## TBS

* Crossplane YouTube Channel: <https://www.youtube.com/channel/UC19FgzMBMqBro361HbE46Fw>
* TBS repo: <https://github.com/crossplaneio/tbs>
